it.reply.healty.innovapuglia.mstaccuino.utility

## Class HeaderExtractor

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.utility.HeaderExtractor

-     @Component
      public class HeaderExtractor
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderExtractor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAllHeaders(org.apache.cxf.message.Message message, String key)` Restituisce gli headers HTTP dal Message SOAP
    `List<String>` | `getAllHeaders(SOAPMessageContext context, String key)` Restituisce gli headers HTTP dal Message SOAP
    `String` | `getSingleHeader(org.apache.cxf.message.Message message, String key)` Restituisce il singolo header HTTP dal Message SOAP
    `String` | `getSingleHeader(SOAPMessageContext context, String key)` Restituisce il singolo header HTTP dal Message SOAP

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderExtractor

          public HeaderExtractor()

  - ### Method Detail

    - #### getAllHeaders

          public List<String> getAllHeaders(SOAPMessageContext context,
                                            String key)

      Restituisce gli headers HTTP dal Message SOAP
      Parameters:
        `context` - Il message context da parsare
        `key` - La chiave che identifica l'header
      Returns:
        La lista dei valori o una lista vuota in caso che la chiave non venga trovata

    - #### getAllHeaders

          public List<String> getAllHeaders(org.apache.cxf.message.Message message,
                                            String key)

      Restituisce gli headers HTTP dal Message SOAP
      Parameters:
        `message` - Il message da parsare
        `key` - La chiave che identifica l'header
      Returns:
        La lista dei valori o una lista vuota in caso che la chiave non venga trovata

    - #### getSingleHeader

          public String getSingleHeader(SOAPMessageContext context,
                                        String key)

      Restituisce il singolo header HTTP dal Message SOAP
      Parameters:
        `context` - Il message context da parsare
        `key` - La chiave che identifica l'header
      Returns:
        Il valore dell'header o `null` in caso che la chiave non venga trovata

    - #### getSingleHeader

          public String getSingleHeader(org.apache.cxf.message.Message message,
                                        String key)

      Restituisce il singolo header HTTP dal Message SOAP
      Parameters:
        `message` - Il message da parsare
        `key` - La chiave che identifica l'header
      Returns:
        Il valore dell'header o `null` in caso che la chiave non venga trovata

Copyright © 2024. All rights reserved.